Setup issue: setuptools pkg_resources pip wheel failed with error code 2

I am installing Donkey3 on a second Donkeycar and I am getting the following error after Step 10: Setup Virtual Env

python3 -m virtualenv -p python3 env --system-site-packages

pi@raspberrypi:~ $ python3 -m virtualenv -p python3 env --system-site-packages
Already using interpreter /usr/bin/python3
Using base prefix ‘/usr’
New python executable in /home/pi/env/bin/python3
Also creating executable in /home/pi/env/bin/python
Installing setuptools, pkg_resources, pip, wheel…
Complete output from command /home/pi/env/bin/python3 - setuptools pkg_resources pip wheel:
Collecting setuptools
Downloading https://files.pythonhosted.org/packages/ec/51/f45cea425fd5cb0b0380f5b0f048ebc1da5b417e48d304838c02d6288a1e/setuptools-41.0.1-py2.py3-none-any.whl (575kB)
Collecting pkg_resources
Collecting pip
Downloading https://files.pythonhosted.org/packages/5c/e0/be401c003291b56efc55aeba6a80ab790d3d4cece2778288d65323009420/pip-19.1.1-py2.py3-none-any.whl (1.4MB)
Collecting wheel
Exception:
Traceback (most recent call last):
File “/home/pi/env/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 594, in urlopen
chunked=chunked)
File “/home/pi/env/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 391, in _make_request
six.raise_from(e, None)
File “”, line 2, in raise_from
File “/home/pi/env/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 387, in _make_request
httplib_response = conn.getresponse()
File “/usr/lib/python3.5/http/client.py”, line 1198, in getresponse
response.begin()
File “/usr/lib/python3.5/http/client.py”, line 297, in begin
version, status, reason = self._read_status()
File “/usr/lib/python3.5/http/client.py”, line 266, in _read_status
raise RemoteDisconnected(“Remote end closed connection without”
http.client.RemoteDisconnected: Remote end closed connection without response

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/basecommand.py”, line 215, in main
status = self.run(options, args)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/commands/install.py”, line 353, in run
wb.build(autobuilding=True)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/wheel.py”, line 749, in build
self.requirement_set.prepare_files(self.finder)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/req/req_set.py”, line 380, in prepare_files
ignore_dependencies=self.ignore_dependencies))
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/req/req_set.py”, line 554, in _prepare_file
require_hashes
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/req/req_install.py”, line 278, in populate_link
self.link = finder.find_requirement(self, upgrade)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/index.py”, line 465, in find_requirement
all_candidates = self.find_all_candidates(req.name)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/index.py”, line 423, in find_all_candidates
for page in self._get_pages(url_locations, project_name):
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/index.py”, line 568, in _get_pages
page = self._get_page(location)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/index.py”, line 683, in _get_page
return HTMLPage.get_page(link, session=self.session)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/index.py”, line 792, in get_page
“Cache-Control”: “max-age=600”,
File “/home/pi/env/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 501, in get
return self.request(‘GET’, url, **kwargs)
File “/usr/share/python-wheels/pip-9.0.1-py2.py3-none-any.whl/pip/download.py”, line 386, in request
return super(PipSession, self).request(method, url, *args, **kwargs)
File “/home/pi/env/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 488, in request
resp = self.send(prep, **send_kwargs)
File “/home/pi/env/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/sessions.py”, line 609, in send
r = adapter.send(request, **kwargs)
File “/home/pi/env/share/python-wheels/CacheControl-0.11.7-py2.py3-none-any.whl/cachecontrol/adapter.py”, line 47, in send
resp = super(CacheControlAdapter, self).send(request, **kw)
File “/home/pi/env/share/python-wheels/requests-2.12.4-py2.py3-none-any.whl/requests/adapters.py”, line 423, in send
timeout=timeout
File “/home/pi/env/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/connectionpool.py”, line 643, in urlopen
_stacktrace=sys.exc_info()[2])
File “/home/pi/env/share/python-wheels/urllib3-1.19.1-py2.py3-none-any.whl/urllib3/util/retry.py”, line 315, in increment
total -= 1
TypeError: unsupported operand type(s) for -=: ‘Retry’ and ‘int’

…Installing setuptools, pkg_resources, pip, wheel…done.
Traceback (most recent call last):
File “/usr/lib/python3.5/runpy.py”, line 193, in _run_module_as_main
main”, mod_spec)
File “/usr/lib/python3.5/runpy.py”, line 85, in _run_code
exec(code, run_globals)
File “/usr/lib/python3/dist-packages/virtualenv.py”, line 2375, in
main()
File “/usr/lib/python3/dist-packages/virtualenv.py”, line 724, in main
symlink=options.symlink)
File “/usr/lib/python3/dist-packages/virtualenv.py”, line 992, in create_environment
download=download,
File “/usr/lib/python3/dist-packages/virtualenv.py”, line 922, in install_wheel
call_subprocess(cmd, show_stdout=False, extra_env=env, stdin=SCRIPT)
File “/usr/lib/python3/dist-packages/virtualenv.py”, line 817, in call_subprocess
% (cmd_desc, proc.returncode))
OSError: Command /home/pi/env/bin/python3 - setuptools pkg_resources pip wheel failed with error code 2

Hi,
can you reproduce the error ?
Looks for me like an internet connection or server problem during install.

Cheers
Chrimo

I tried it again today and it worked. You were right, just a poor internet connection perhaps.
Thank you!